Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLRenderingContext

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLRenderingContext

public class HTMLRenderingContext
extends java.lang.Object

A Class class. *

* @author Juan Oropeza

Field Summary
`javax.servlet.ServletContext` | `application`
`javax.servlet.jsp.PageContext` | `page`
`javax.servlet.http.HttpServletRequest` | `request`
`javax.servlet.http.HttpServletResponse` | `response`
`javax.servlet.http.HttpSession` | `session`
`java.util.Hashtable` | `userData`

Constructor Summary
`HTMLRenderingContext(javax.servlet.jsp.PageContext page)` Constructor
`HTMLRenderingContext(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    public javax.servlet.http.HttpSession session

### request

    public javax.servlet.http.HttpServletRequest request

### response

    public javax.servlet.http.HttpServletResponse response

### application

    public javax.servlet.ServletContext application

### page

    public javax.servlet.jsp.PageContext page

### userData

    public java.util.Hashtable userData

Constructor Detail

### HTMLRenderingContext

    public HTMLRenderingContext(javax.servlet.jsp.PageContext page)

  Constructor

### HTMLRenderingContext

    public HTMLRenderingContext(javax.servlet.ServletContext application,
                                javax.servlet.http.HttpSession session,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD